Skip to main content
POST
Poll for the device sign-in token

Body

grant_type
enum<string>
required
Available options:
urn:ietf:params:oauth:grant-type:device_code
Example:

"urn:ietf:params:oauth:grant-type:device_code"

device_code
string
required
Example:

"Xq7vR2mK9pL4tN8wZ3cY6bH1jF5sD0aG2eU7iO4kM9n"

Response

The user approved; here is the session token.

access_token
string
required

The CLI session token. Send it as Authorization: Bearer <access_token>.

Example:

"k3Rz8vQ1mN5pX7wL2cT9bY4hJ6sF0aD3gU8eI1oK5nM7rV2qZ9xW4tC6yB1jH8fS3dA0gE5uP7iL2kN9mR4vQ6zXw"

token_type
enum<string>
required
Available options:
bearer
Example:

"bearer"

expires_in
integer
required

Seconds until the session expires (7 days).

Example:

604800